Subject: bug#65035: 29.1; Port flycheck-emacs-lisp-initialize-packages to flymake

From: Antonio Romano <[email-masked]>
Date: Thu, 03 Aug 2023 10:04:24 +0000

Flycheck includes the "flycheck-emacs-lisp-initialize-packages"
customizable variable, which allows packages to be initialized in the
Emacs subprocess used to lint the elisp file. With this variable, it is
possible for the linter to be aware of autoloads from installed
packages.

I think that having such option on the built-in alternative "flymake"
would be a good quality-of-life addition, as this would make it more
suitable for linting personal configuration and only one M-x away from
any user who would want to try it.

Thanks in advance